insert into dns_domains ( name, type ) values ( 'bms.bms.em.private.cam.ac.uk', 'NATIVE');

insert into subnet ( network_address , router, domain_name, provide_dhcp_service, dns_domain_id, notes, vlan_id, subnetmask ) values ( '172.23.55.0/25', '172.23.55.126','bms.bms.em.private.cam.ac.uk','f',(select id from dns_domains where name = 'bms.bms.em.private.cam.ac.uk'),'Building Management System',5,'255.255.255.128');  

UPDATE ip_address set hostname = 'ch-1.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.1' ;
UPDATE ip_address set hostname = 'ch-2.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.2' ;
UPDATE ip_address set hostname = 'ch-3.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.3' ;
UPDATE ip_address set hostname = 'ch-4.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.4' ;
UPDATE ip_address set hostname = 'ch-5.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.5' ;
UPDATE ip_address set hostname = 'ch-6.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.6' ;
UPDATE ip_address set hostname = 'ch-7.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.7' ;
UPDATE ip_address set hostname = 'ch-8.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.8' ;
UPDATE ip_address set hostname = 'ch-9.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.9' ;
UPDATE ip_address set hostname = 'ch-10.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.10' ;
UPDATE ip_address set hostname = 'ch-11.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.11' ;
UPDATE ip_address set hostname = 'ch-12.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.12' ;
UPDATE ip_address set hostname = 'ch-13.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.13' ;
UPDATE ip_address set hostname = 'ch-14.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.14' ;
UPDATE ip_address set hostname = 'ch-15.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.15' ;
UPDATE ip_address set hostname = 'ch-16.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.16' ;
UPDATE ip_address set hostname = 'ch-17.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.17' ;
UPDATE ip_address set hostname = 'ch-18.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.18' ;
UPDATE ip_address set hostname = 'ch-19.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.19' ;
UPDATE ip_address set hostname = 'ch-20.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.20' ;
UPDATE ip_address set hostname = 'ch-21.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.21' ;
UPDATE ip_address set hostname = 'ch-22.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.22' ;
UPDATE ip_address set hostname = 'ch-23.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.23' ;
UPDATE ip_address set hostname = 'ch-24.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.24' ;
UPDATE ip_address set hostname = 'ch-25.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.25' ;
UPDATE ip_address set hostname = 'ch-26.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.26' ;
UPDATE ip_address set hostname = 'ch-27.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.27' ;
UPDATE ip_address set hostname = 'ch-28.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.28' ;
UPDATE ip_address set hostname = 'ch-29.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.29' ;
UPDATE ip_address set hostname = 'ch-30.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.30' ;
UPDATE ip_address set hostname = 'ch-31.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.31' ;
UPDATE ip_address set hostname = 'ch-32.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.32' ;
UPDATE ip_address set hostname = 'ch-33.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.33' ;
UPDATE ip_address set hostname = 'ch-34.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.34' ;
UPDATE ip_address set hostname = 'ch-35.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.35' ;
UPDATE ip_address set hostname = 'ch-36.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.36' ;
UPDATE ip_address set hostname = 'ch-37.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.37' ;
UPDATE ip_address set hostname = 'ch-38.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.38' ;
UPDATE ip_address set hostname = 'ch-39.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.39' ;
UPDATE ip_address set hostname = 'ch-40.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.40' ;
UPDATE ip_address set hostname = 'ch-41.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.41' ;
UPDATE ip_address set hostname = 'ch-42.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.42' ;
UPDATE ip_address set hostname = 'ch-43.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.43' ;
UPDATE ip_address set hostname = 'ch-44.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.44' ;
UPDATE ip_address set hostname = 'ch-45.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.45' ;
UPDATE ip_address set hostname = 'ch-46.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.46' ;
UPDATE ip_address set hostname = 'ch-47.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.47' ;
UPDATE ip_address set hostname = 'ch-48.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.48' ;
UPDATE ip_address set hostname = 'ch-49.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.49' ;
UPDATE ip_address set hostname = 'ch-50.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.50' ;
UPDATE ip_address set hostname = 'ch-51.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.51' ;
UPDATE ip_address set hostname = 'ch-52.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.52' ;
UPDATE ip_address set hostname = 'ch-53.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.53' ;
UPDATE ip_address set hostname = 'ch-54.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.54' ;
UPDATE ip_address set hostname = 'ch-55.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.55' ;
UPDATE ip_address set hostname = 'ch-56.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.56' ;
UPDATE ip_address set hostname = 'ch-57.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.57' ;
UPDATE ip_address set hostname = 'ch-58.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.58' ;
UPDATE ip_address set hostname = 'ch-59.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.59' ;
UPDATE ip_address set hostname = 'ch-60.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.60' ;
UPDATE ip_address set hostname = 'ch-61.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.61' ;
UPDATE ip_address set hostname = 'ch-62.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.62' ;
UPDATE ip_address set hostname = 'ch-63.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.63' ;
UPDATE ip_address set hostname = 'ch-64.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.64' ;
UPDATE ip_address set hostname = 'ch-65.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.65' ;
UPDATE ip_address set hostname = 'ch-66.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.66' ;
UPDATE ip_address set hostname = 'ch-67.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.67' ;
UPDATE ip_address set hostname = 'ch-68.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.68' ;
UPDATE ip_address set hostname = 'ch-69.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.69' ;
UPDATE ip_address set hostname = 'ch-70.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.70' ;
UPDATE ip_address set hostname = 'ch-71.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.71' ;
UPDATE ip_address set hostname = 'ch-72.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.72' ;
UPDATE ip_address set hostname = 'ch-73.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.73' ;
UPDATE ip_address set hostname = 'ch-74.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.74' ;
UPDATE ip_address set hostname = 'ch-75.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.75' ;
UPDATE ip_address set hostname = 'ch-76.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.76' ;
UPDATE ip_address set hostname = 'ch-77.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.77' ;
UPDATE ip_address set hostname = 'ch-78.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.78' ;
UPDATE ip_address set hostname = 'ch-79.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.79' ;
UPDATE ip_address set hostname = 'ch-80.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.80' ;
UPDATE ip_address set hostname = 'ch-81.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.81' ;
UPDATE ip_address set hostname = 'ch-82.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.82' ;
UPDATE ip_address set hostname = 'ch-83.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.83' ;
UPDATE ip_address set hostname = 'ch-84.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.84' ;
UPDATE ip_address set hostname = 'ch-85.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.85' ;
UPDATE ip_address set hostname = 'ch-86.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.86' ;
UPDATE ip_address set hostname = 'ch-87.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.87' ;
UPDATE ip_address set hostname = 'ch-88.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.88' ;
UPDATE ip_address set hostname = 'ch-89.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.89' ;
UPDATE ip_address set hostname = 'ch-90.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.90' ;
UPDATE ip_address set hostname = 'ch-91.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.91' ;
UPDATE ip_address set hostname = 'ch-92.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.92' ;
UPDATE ip_address set hostname = 'ch-93.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.93' ;
UPDATE ip_address set hostname = 'ch-94.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.94' ;
UPDATE ip_address set hostname = 'ch-95.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.95' ;
UPDATE ip_address set hostname = 'ch-96.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.96' ;
UPDATE ip_address set hostname = 'ch-97.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.97' ;
UPDATE ip_address set hostname = 'ch-98.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.98' ;
UPDATE ip_address set hostname = 'ch-99.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.99' ;
UPDATE ip_address set hostname = 'ch-100.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.100' ;
UPDATE ip_address set hostname = 'ch-101.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.101' ;
UPDATE ip_address set hostname = 'ch-102.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.102' ;
UPDATE ip_address set hostname = 'ch-103.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.103' ;
UPDATE ip_address set hostname = 'ch-104.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.104' ;
UPDATE ip_address set hostname = 'ch-105.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.105' ;
UPDATE ip_address set hostname = 'ch-106.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.106' ;
UPDATE ip_address set hostname = 'ch-107.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.107' ;
UPDATE ip_address set hostname = 'ch-108.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.108' ;
UPDATE ip_address set hostname = 'ch-109.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.109' ;
UPDATE ip_address set hostname = 'ch-110.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.110' ;
UPDATE ip_address set hostname = 'ch-111.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.111' ;
UPDATE ip_address set hostname = 'ch-112.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.112' ;
UPDATE ip_address set hostname = 'ch-113.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.113' ;
UPDATE ip_address set hostname = 'ch-114.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.114' ;
UPDATE ip_address set hostname = 'ch-115.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.115' ;
UPDATE ip_address set hostname = 'ch-116.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.116' ;
UPDATE ip_address set hostname = 'ch-117.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.117' ;
UPDATE ip_address set hostname = 'ch-118.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.118' ;
UPDATE ip_address set hostname = 'ch-119.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.119' ;
UPDATE ip_address set hostname = 'ch-120.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.120' ;
UPDATE ip_address set hostname = 'ch-121.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.121' ;
UPDATE ip_address set hostname = 'ch-122.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.122' ;
UPDATE ip_address set hostname = 'ch-123.bms.bms.em.private.cam.ac.uk', allow_free_choice_of_hostname = 'f' where ip = '172.23.55.123' ;
UPDATE ip_address set hostname = 'gw-3460.route-oadd.net.private.cam.ac.uk', allow_free_choice_of_hostname = 't' where ip = '172.23.55.124' ;
UPDATE ip_address set hostname = 'gw-3460.route-south.net.private.cam.ac.uk', allow_free_choice_of_hostname = 't' where ip = '172.23.55.125' ;
UPDATE ip_address set hostname = 'gw-3460.net.private.cam.ac.uk', allow_free_choice_of_hostname = 't' where ip = '172.23.55.126' ;
